Subject: Re: bug#12007: 24.1.50; Crash in auto-revert-handler

From: Christoph Scholtes <[email-masked]>
Date: Wed, 25 Jul 2012 05:34:32 -0600

On 7/24/2012 10:42 PM, Dmitry Antipov wrote:

>> One other thing to note. I have never seen this crash on GNU/Linux.
>> I use Emacs all day at work on that platform and build from trunk
>> every morning. Any idea why it would only happen on Windows?
>
> I'm not using Emacs on Windows, so I don't know exactly. But, kill-buffer
> is (over?)complicated thing which depends on hooks installed, display
> state,
> processes under the buffer being killed, auto-save state, etc., and these
> things may be slightly different under Windows.

OK. I ran this instance over night and it is still running. Usually the 
crash happened after an hour or so.

Can you apply this patch to the trunk?